package com.sf.day09.sort;

/**
 * 验证静态代码块和实例代码块   构造器的  执行顺序    子父类
 */
public class Father {
    private String FName;
    static {
        System.out.println("我是  父类  中的  静态  代码块");
    }

    {
        System.out.println("我是  父类  中的  实例   代码块");
    }

    public Father() {
        System.out.println("我是   父类   中的  无参  构造器");
    }

    public Father(String FName) {
        this.FName = FName;
        System.out.println("我是   父类   中的  有参  构造器");
    }

}
